### Constructor

# Gtk EventControllerScroll new

#### Declaration [src]

    GtkEventController*
    gtk_event_controller_scroll_new (
      GtkEventControllerScrollFlags flags
    )

#### Description [src]

Creates a new event controller that will handle scroll events.

#### Parameters

`flags` | `GtkEventControllerScrollFlags`
| Flags affecting the controller behavior.

#### Return value

Returns: | `GtkEventController`
| A new `GtkEventControllerScroll`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.